    /*
     *  call-seq:
     *     searcher.max_doc -> number
     *
     *  Returns 1 + the maximum document id in the index. It is the the
     *  document_id that will be used by the next document added to the index. If
     *  there are no deletions, this number also refers to the number of documents
     *  in the index.
     */
    static VALUE
    frt_sea_max_doc(VALUE self)
    {
        GET_SEA();
        return INT2FIX(sea->max_doc(sea));
    }